org.apache.ignite.spi.metric.log

## Class LogExporterSpi

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiAdapter
  - - org.apache.ignite.internal.processors.metric.PushMetricsExporterAdapter
    - - org.apache.ignite.spi.metric.log.LogExporterSpi

All Implemented Interfaces:
  IgniteSpi, MetricExporterSpi

    public class LogExporterSpi
    extends PushMetricsExporterAdapter

Metrics API currently has an experimental state. The API is stable enough but can be changed in future releases.

This SPI implementation exports metrics to Ignite log.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.metric.PushMetricsExporterAdapter

`filter, mreg`

### Fields inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`ignite, igniteInstanceName, log`

### Constructor Summary

Constructors
Constructor and Description
`LogExporterSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `export()` Callback to do the export of metrics info.

### Methods inherited from class org.apache.ignite.internal.processors.metric.PushMetricsExporterAdapter

`getPeriod, setExportFilter, setMetricRegistry, setPeriod, spiStart, spiStop`

### Methods inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`addTimeoutObject, assertParameter, checkConfigurationConsistency0, clientFailureDetectionTimeout, configInfo, createSpiAttributeName, failureDetectionTimeout, failureDetectionTimeoutEnabled, failureDetectionTimeoutEnabled, getConsistentAttributeNames, getExceptionRegistry, getLocalNode, getName, getNodeAttributes, getSpiContext, ignite, initFailureDetectionTimeout, injectables, injectResources, isNodeStopping, onBeforeStart, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextDestroyed0, onContextInitialized, onContextInitialized0, registerMBean, removeTimeoutObject, setName, started, startInfo, startStopwatch, stopInfo, unregisterMBean`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

`getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized`

### Constructor Detail

#### LogExporterSpi

    public LogExporterSpi()

### Method Detail

#### export

    public void export()

Callback to do the export of metrics info. Method will be called into some Ignite managed thread each `PushMetricsExporterAdapter.getPeriod()` millisecond.

Specified by:
  `export` in class `PushMetricsExporterAdapter`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020